2024-06-14 01:15 (금)
한글 스택오버플로우 취약점 발견…취약버전 주의!
상태바
한글 스택오버플로우 취약점 발견…취약버전 주의!
  • 길민권
  • 승인 2011.12.24 00:19
이 기사를 공유합니다

특수 조작된 한글파일, 사용자가 열어보도록 유도해 악성코드 유포
사이버공격 시나리오 공모전 통해 박종섭씨가 발표한 취약점
한글과컴퓨터에서 개발한 워드프로세서인 아래한글에서 스택오버플로우 취약점이 발견됐다. 공격자는 웹 게시, 스팸 메일, 메신저의 링크 등을 통해 특수하게 조작된 한글문서(HWP)파일을 사용자가 열어보도록 유도해 악성코드 유포가 가능하다.
 
낮은 버전의 아래한글 사용자는 악성코드 감염에 취약할 수 있으므로 해결방안에 따라 보안업데이트를 해야 한다.
 
영향 받는 한글 버전은 다음과 같다.
- 한글 2002 5.7.9.3052 및 이전 버전
- 한글 2004 6.0.5.770 및 이전 버전
- 한글 2005 6.7.10.1067 및 이전 버전
- 한글 2007 7.5.12.623 및 이전 버전
- 한글 2010 8.5.6.1131 및 이전 버전
 
한국인터넷진흥원은 취약한 한글버전 사용자들은 한글과컴퓨터 홈페이지를 방문해 보안업데이트 파일을 다운받아 설치하거나, 자동업데이트를 통해 한글 최신버전으로 업데이트할 것을 권고했다.

 
자동업데이트 방법은 시작 → 모든 프로그램 → 한글과컴퓨터 → 한컴 자동 업데이트 순으로 클릭해 나가면 된다.
 
이 취약점은 제3회 사이버공격 시나리오 공모전을 통해 박종섭씨가 제공해 준 취약점이다.
 
<참고사이트>
-www.hancom.co.kr/downLoad.downPU.do?mcd=001
[데일리시큐=길민권 기자]
■ 보안 사건사고 제보 하기

▷ 이메일 : mkgil@dailysecu.com

▷ 제보 내용 : 보안 관련 어떤 내용이든 제보를 기다립니다!

▷ 광고문의 : jywoo@dailysecu.com

★정보보안 대표 미디어 데일리시큐 / Dailysecu, Korea's leading security media!★